summaryrefslogtreecommitdiffstats
path: root/development/latrace
diff options
context:
space:
mode:
Diffstat (limited to 'development/latrace')
-rw-r--r--development/latrace/README4
-rw-r--r--development/latrace/doinst.sh15
-rw-r--r--development/latrace/latrace.SlackBuild77
-rw-r--r--development/latrace/latrace.info8
-rw-r--r--development/latrace/slack-desc19
5 files changed, 123 insertions, 0 deletions
diff --git a/development/latrace/README b/development/latrace/README
new file mode 100644
index 0000000000..8d6327770a
--- /dev/null
+++ b/development/latrace/README
@@ -0,0 +1,4 @@
+latrace - glibc 2.4+ LD_AUDIT feature frontend
+
+latrace allows you to trace library calls and get their statistics
+in a manner similar to the strace utility (syscall tracing).
diff --git a/development/latrace/doinst.sh b/development/latrace/doinst.sh
new file mode 100644
index 0000000000..991957975c
--- /dev/null
+++ b/development/latrace/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/latrace.conf.new
+
diff --git a/development/latrace/latrace.SlackBuild b/development/latrace/latrace.SlackBuild
new file mode 100644
index 0000000000..1c52643b64
--- /dev/null
+++ b/development/latrace/latrace.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for latrace
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=latrace
+VERSION=${VERSION:-0.5.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ -type d -exec chmod 0755 {} \; -o \
+ -type f -exec chmod u+rw,go+r-w,a-s {} \;
+
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install ROOTDIR=$PKG
+
+# Let's not clobber the main config file, but the ones in /etc/latrace.d/
+# should be okay to clobber, we *think* :)
+mv $PKG/etc/latrace.conf $PKG/etc/latrace.conf.new
+
+find $PKG -type f | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO ChangeLog ReleaseNotes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/latrace/latrace.info b/development/latrace/latrace.info
new file mode 100644
index 0000000000..2ca0fea7f1
--- /dev/null
+++ b/development/latrace/latrace.info
@@ -0,0 +1,8 @@
+PRGNAM="latrace"
+VERSION="0.5.3"
+HOMEPAGE="http://latrace.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/latrace/latrace-0.5.3.tar.bz2"
+MD5SUM="2ad3bbda765db233729f31c54697b439"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/development/latrace/slack-desc b/development/latrace/slack-desc
new file mode 100644
index 0000000000..09e7ce59e5
--- /dev/null
+++ b/development/latrace/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+latrace: latrace (library call trace)
+latrace:
+latrace: Trace library calls in a similar manner to (s)trace'n processes.
+latrace:
+latrace: latrace was written by Jiri Olsa
+latrace:
+latrace:
+latrace:
+latrace:
+latrace:
+latrace: